/*
 * parsePath.h
 *
 * Copyright 2002, 2004 by Anthony Howe. All rights reserved.
 */

#ifndef __com_snert_lib_mail_parsePath_h__
#define __com_snert_lib_mail_parsePath_h__	1

#ifdef __cplusplus
extern "C" {
#endif

typedef struct {
	char *string;
	long length;
} Text;

typedef struct {
	int isLocal;		/* True if the address appears to be local.
				 * Not set by parsePath(), but used by the
				 * caller as a convience variable.
				 */
	int isDomainAnIP;	/* Trus for "[1.2.3.4]" style domain. */
	Text address;		/* Original address found between < and >. */
	Text localLeft;		/* Lower cased local part left of + or @. */
	Text localRight;	/* Lower cased local part right of +. */
	Text domain;		/* Lower cased domain name after @. */
} ParsePath;

extern int findInnerPath(const char *path, const char **start, const char **stop);
extern long formatPath(char *buffer, long length, const char *fmt, ParsePath *p);
extern const char *parsePath(const char *path, int dots, ParsePath **out);

#ifdef  __cplusplus
}
#endif

#endif /* __com_snert_lib_mail_parsePath_h__ */
