/* ../../include/com/snert/lib/version.h.  Generated by configure.  */
/*
 * version.h
 *
 * Copyright 2002, 2004 by Anthony Howe. All rights reserved.
 */

#ifndef __com_snert_lib_version_h__
#define __com_snert_lib_version_h__	1

#ifdef __cplusplus
extern "C" {
#endif

#define __LIBSNERT__		1

#define LIBSNERT_MAJOR 1
#define LIBSNERT_MINOR 31
#define LIBSNERT_BUILD 472
#define LIBSNERT_VERSION "LibSnert/1.31.472"
#define LIBSNERT_AUTHOR "Anthony Howe <achowe@snert.com>"
#define LIBSNERT_COPYRIGHT "Copyright 1996, 2004 by Anthony Howe. All rights reserved."

typedef struct {
	int major;
	int minor;
	int build;
	const char *author;
	const char *version;
	const char *copyright;
} VersionInfo;

extern VersionInfo LibSnert;

/*
 * Fine resolution clock:
 *
 * POSIX_API    nanoseconds     10^-9
 * BSD_API      microseconds    10^-6
 * ANSI_API     seconds         10^1
 */
#define TIME_API BSD_API

/*
 * SYSTEMV_API
 * POSIX_API
 * WIN32_API
 * FCNTL_API
 * FLOCK_API
 */
#define SERIALIZATION_API POSIX_API

/*
 * SYSTEMV_API
 * POSIX_API
 * WIN32_API
 * MMAP_ANON
 */
#define SHARED_MEMORY_API POSIX_API

/*
 * Headers & Functions
 */
#define HAVE_ACCEPT 1
#define HAVE_CONNECT 1
#define HAVE_FCNTL_H 1
/* #undef HAVE_GETHOSTNAME */
/* #undef HAVE_GETHOSTBYNAME */
/* #undef HAVE_GETHOSTBYNAME2 */
#define HAVE_GETPAGESIZE 1
#define HAVE_GETSOCKOPT 1
#define HAVE_GETTIMEOFDAY 1
#define HAVE_INET_ADDR 1
#define HAVE_INET_ATON 1
#define HAVE_INET_NTOA 1
/* #undef HAVE_INET_NTOP */
#define HAVE_IO_H 1
#define HAVE_LIMITS_H 1
#define HAVE_MEMORY_H 1
#define HAVE_MKDIR 1
#define HAVE_MMAP 1
#define HAVE_MUNMAP 1
#define HAVE_RECVFROM 1
#define HAVE_SELECT 1
#define HAVE_SEMAPHORE_H 1
#define HAVE_SEM_DESTROY 1
#define HAVE_SEM_INIT 1
#define HAVE_SEM_POST 1
#define HAVE_SEM_WAIT 1
#define HAVE_SENDTO 1
#define HAVE_SETSOCKOPT 1
#define HAVE_SHUTDOWN 1
#define HAVE_SOCKET 1
#define HAVE_STDLIB_H 1
#define HAVE_STRCSPN 1
#define HAVE_STRDUP 1
#define HAVE_STRERROR 1
#define HAVE_STRFTIME 1
#define HAVE_STRINGS_H 1
#define HAVE_STRING_H 1
#define HAVE_STRSPN 1
#define HAVE_STRTOL 1
#define HAVE_SYSLOG_H 1
#define HAVE_SYS_FILE_H 1
#define HAVE_SYS_MMAN_H 1
#define HAVE_SYS_STAT_H 1
#define HAVE_SYS_TIME_H 1
#define HAVE_SYS_TYPES_H 1
#define HAVE_UNISTD_H 1
#define HAVE_VPRINTF 1
#define HAVE_WINDOWS_H 1
#define HAVE_WINSOCK2_H 1
#define PROTOTYPES 1
#define STDC_HEADERS 1
#define TIME_WITH_SYS_TIME 1

#define HAVE_GMTIME 1
#define HAVE_GMTIME_R 1
#define HAVE_LOCALTIME 1
#define HAVE_LOCALTIME_R 1

/* #undef LIBSNERT_WITH_BERKELEY_DB */

/* #undef _ */
#ifdef __STDC__
# define _(x)			x
#else
# define _(x)			()
#endif

#ifdef  __cplusplus
}
#endif

#endif /* __com_snert_lib_version_h__ */
